using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class UserControls_DatePicker1 : System.Web.UI.UserControl
{
    private string pWidth="";
    public string width
    {
        get
        {
            return pWidth;
        }
        set
        {
            pWidth = value;
        }
    }
    public string TextBoxClientID
    {
        get
        {
            return txtDate.ClientID;
        }
    }
    public string date
    {
        get
        {
            string tempDate = "";
            if (txtDate.Value.Length > 0)
                tempDate = txtDate.Value.Substring(8, 2) + txtDate.Value.Substring(3, 2) +
                     txtDate.Value.Substring(0, 2);
            return tempDate;
        }
        set
        {
            txtDate.Value = value;
        }
    }

    public string FormatedDate
    {
        get
        {
            string tempDate = "";
            if (txtDate.Value.Length > 0)
                tempDate = txtDate.Value;
            return tempDate;
        }
        set
        {
            txtDate.Value = value;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        dateTable.Style["width"] = pWidth;
        if (pWidth == "0")
            dateTable.Visible = false;
    }
    
}
